Boinc Manager icon in Unity is small

Bug #1173622 reported by Saikrishna Arcot
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
boinc (Ubuntu)
Undecided
MestreLion

Bug Description

In Unity, the Boinc Manager icon is small compared to the rest of the icons. It seems that a 32x32 icon is being used. However, at https://boinc.berkeley.edu/logo.php, larger icon sizes are available in BMP, when can then be converted to XPM and used instead of the small 32x32 icon.

no longer affects: boinc
Revision history for this message
Gianfranco Costamagna (costamagnagianfranco) wrote :

Sorry Saikrishna, but this is likely an upstream bug, we took boinc's icon from the upstream source tree, so maybe opening an upstream ticket would be better because this isn't a debian/ubuntu specific issue and I see no good point in fixing it downstream.

Changed in boinc (Ubuntu):
status: New → Confirmed
MestreLion (mestrelion)
Changed in boinc (Ubuntu):
assignee: nobody → MestreLion (mestrelion)
Revision history for this message
MestreLion (mestrelion) wrote :

Humm, I can fix that... I'll clone the debian git repo, add the icons and update the desktop file accordingly

Meanwhile, Saikrishna, I created a script for my personal use that you might find useful: it downloads all the icon files in that page you mentioned,convert to PNG, and installs them, adjusting the .desktop file.

All operations are made for current user only, so no sudo required. The original boinc icons and .desktop are not modified, everything is saved in ~/.local/share, so they will have higher precedence than the system ones and be picked up by Ubuntu. Logout may be required for changes to take effect.

Be aware that these icons, being a BMP, have a white non-transparent background... and while they look nice (the 256 one is *gorgeous*), a fixed white background is not optimal. And don't try to add `transparent white` to `convert`... it works, but will look even worse :P

Have fun:
https://github.com/MestreLion/scripts/blob/master/runonce/setup/boinc_icons

Revision history for this message
MestreLion (mestrelion) wrote :

@LocutusOfBorg: I've also noticed a few things regarding icons in boinc package... the 16 and 32 icons are being registered as independent icons, named "boincmgr-16" and "boincmgr-32", and installed to the same path, /usr/share/pixmaps. And the .desktop uses boincmgr-32 only, the 16 one is completely ignored.

I believe it should be the opposite: registered with same name under different paths, so they would be regarded as a single icon (boincmgr) with 2 sizes (16 and 32). The OS would choose and display the appropriate size for each use (launcher/dash/nautilus listings, etc). Icons should be installed in:
/usr/share/icons/hicolor/<size>/apps/boincmgr.xpm

Also, the .desktop file should not hardcode the full path '/usr/bin/boincmgr'. Only 'boincmgr' is needed, and it would allow users to create wrappers either locally (/usr/local/) or for their own user (~/.local)

I've cloned the git repo and these look quite easy to fix, I can help you guys and do this myself if you agree with my approach.

I can also include the larger icons, preferably with proper transparency.

Revision history for this message
MestreLion (mestrelion) wrote :

@Saikrishna and @LocutusOfBorg: I've just found larger *and* transparent icons in the upstream source tree! :)

http://boinc.berkeley.edu/trac/export/HEAD/boinc-v2/clientgui/res/BOINCGUIApp.ico

It contains icons size 16, 32, 48 and 256 (no 128 tho), and are easily extractable using 'icotool' from 'icotools' package.

I've also updated my script to use that icon set instead of the BMP ones:
https://github.com/MestreLion/scripts/blob/master/runonce/setup/boinc_icons

@LocutusOfBorg: I'll also create a patch for such changes in the Debian git repo. Current xpm files can be removed from /debian, but a build dependency on 'icontools' will need to be added, is that fine? Or should I add the binary, already extracted PNG icons?

Revision history for this message
Saikrishna Arcot (saiarcot895) wrote :

Whoo!

I just used the script and can see the larger icon. No restart was necessary in my case. Thanks for the script!

Revision history for this message
Gianfranco Costamagna (costamagnagianfranco) wrote :

Hi Mestre, I agree on your points, this second ico file is for sure better than the first icon was pointed out and also about the location directory I think you are right...

So in my opinion go ahead and patch it! I admit I'm taking time and time for fixing more serious bugs at this time, so I won't take care of cosmetic things for some time, they are for sure serious, but not in my priority list ATM.

Revision history for this message
MestreLion (mestrelion) wrote :

I've found a 128 icon in the Mac OSX icon file of the source tree! :)

http://boinc.berkeley.edu/trac/export/HEAD/boinc-v2/clientgui/res/BOINCMgr.icns

It contains icons size 16, 32, 48, and 128 (no 256, go figure). Converting it to PNGs requires 'icns2png' from 'icnsutils' package.

@Saikrishna: I've updated my script to install them all, including the 512 TIFF from the url in original report, which also has transparency. The script skips duplicate sizes, so icons 16, 32, 48 which exists in both are taken from the windows ICO. And don't forget to install icnsutils, or the 128 icon will be skipped:

sudo apt-get install icnsutils

Revision history for this message
MestreLion (mestrelion) wrote :

As promised :)

@Locutus: Also available in github, if you think it's easier to pull from there...

https://github.com/MestreLion/boinc-debian/tree/launcher_icons

Revision history for this message
MestreLion (mestrelion) wrote :
Revision history for this message
Ubuntu Foundations Team Bug Bot (crichton) wrote :

The attachment "Add more icon sizes for manager launcher" seems to be a patch. If it isn't, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are a member of the ~ubuntu-reviewers, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issues please contact him.]

tags: added: patch
Revision history for this message
Gianfranco Costamagna (costamagnagianfranco) wrote :

Will try to merge them, thanks a lot!

Revision history for this message
Gianfranco Costamagna (costamagnagianfranco) wrote :

I merged them, anyway I god many lintian warning about binary files included.
I fixed them, anyway I think a xpm file would be better for inclusion.

Do you know some easy way to get the xpm?

Revision history for this message
Gianfranco Costamagna (costamagnagianfranco) wrote :

Merged them, I used patches here rather than the github sources, because with "git am" the commit is automatically imported with your details and credits :)

Revision history for this message
Gianfranco Costamagna (costamagnagianfranco) wrote :

Hi Mestrelion and Saikrishna, I finally built the boinc with this patch (Mestre I had to patch your patch, because of some missing stuff, but the approach is almost the same).

They are both available in costamagnagianfranco/locutusofborg-ppa and costamagnagianfranco/boinc

Could anybody help me in testing the patch?

thanks

Changed in boinc (Ubuntu):
status: Confirmed → Fix Committed
Revision history for this message
MestreLion (mestrelion) wrote : Re: [Bug 1173622] Re: Boinc Manager icon in Unity is small

Thanks! And I appreciate the credit! But adding my github repo as a remote and merging those commits would also keep commit details and credits, no? Anyway, I'll use whatever workflow is easier for you :)

At 10:01 03/05/2013, LocutusOfBorg wrote:
>Merged them, I used patches here rather than the github sources, because
>with "git am" the commit is automatically imported with your details and
>credits :)
>
>--
>You received this bug notification because you are a member of Debian
>BOINC Maintainers, which is subscribed to boinc in Ubuntu.
>https://bugs.launchpad.net/bugs/1173622
>
>Title:
> Boinc Manager icon in Unity is small
>
>To manage notifications about this bug go to:
>https://bugs.launchpad.net/ubuntu/+source/boinc/+bug/1173622/+subscriptions
>
>--
>pkg-boinc-devel mailing list
><email address hidden>
>http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-boinc-devel

Revision history for this message
MestreLion (mestrelion) wrote :

As for the missing items:

debian/source/include-binaries was surely and overlook from me, I should have included it (you added a blank last line tho),

About /usr/share/menu/boincmgr.menu , I'm not sure. This is not part of freedesktop menu spec http://standards.freedesktop.org/menu-spec/latest/index.html, I think it's one of those Debian-only deprecated pre-xdg stuff. The fact it only accepts xpm files, and recomends installing to /usr/share/pixmaps reinforce that impression http://www.debian.org/doc/packaging-manuals/menu.html/ . I will research on that. Since boinc manager is the only application we install, we don't need a BOINC menu.

About changelog: a few typos: "refactor", ending period in "Improved manager launcher.", and I *think* lp in (LP: #xxx) should be upper case (as most bugs in launchpad changelogs are)

I'll test the package over the weeked thanks for merging them so promptly! :D

ML

At 14:44 03/05/2013, LocutusOfBorg wrote:
>Hi Mestrelion and Saikrishna, I finally built the boinc with this patch
>(Mestre I had to patch your patch, because of some missing stuff, but
>the approach is almost the same).
>
>They are both available in costamagnagianfranco/locutusofborg-ppa and
>costamagnagianfranco/boinc
>
>Could anybody help me in testing the patch?
>
>thanks
>
>** Changed in: boinc (Ubuntu)
> Status: Confirmed => Fix Committed
>
>--
>You received this bug notification because you are a member of Debian
>BOINC Maintainers, which is subscribed to boinc in Ubuntu.
>https://bugs.launchpad.net/bugs/1173622
>
>Title:
> Boinc Manager icon in Unity is small
>
>To manage notifications about this bug go to:
>https://bugs.launchpad.net/ubuntu/+source/boinc/+bug/1173622/+subscriptions
>
>--
>pkg-boinc-devel mailing list
><email address hidden>
>http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-boinc-devel

Revision history for this message
Gianfranco Costamagna (costamagnagianfranco) wrote :

>About changelog: a few typos: "refactor", ending period in "Improved manager launcher.", and I *think* lp in (LP: #xxx) should be upper case (as most bugs in launchpad changelogs are)

you forgot "directoty" :)

I swear, I wasn't drunk while typing, just sometimes I don't see the screen while typing... ;)

Pushing the changes, anyway the LP or lp should be just the same, we always use lp for netiquette :)

http://anonscm.debian.org/gitweb/?p=pkg-boinc/boinc.git;a=commitdiff;h=1bf4957231eb6bd456e80f09a68590caf03a190a

Feel free to report about the menu issue if you find a solution

Revision history for this message
Saikrishna Arcot (saiarcot895) wrote :

I updated BOINC, and things seem to be working.

I found an online service that converts PNG to XPM, but in the case of the BOINC icons, the icons are less than stellar, since it seems that XPM doesn't seem to support alpha.

Revision history for this message
MestreLion (mestrelion) wrote :

Online service? You don't need that... there is 'convert' from imagemagick, which comes by default in Ubuntu.

convert file.png file.xpm

And yes, XPM does support alpha, but I really don't see the point in using XPMs instead of the more universal PNG.

At 12:03 04/05/2013, Saikrishna Arcot wrote:
>I updated BOINC, and things seem to be working.
>
>I found an online service that converts PNG to XPM, but in the case of
>the BOINC icons, the icons are less than stellar, since it seems that
>XPM doesn't seem to support alpha.
>
>--
>You received this bug notification because you are a member of Debian
>BOINC Maintainers, which is subscribed to boinc in Ubuntu.
>https://bugs.launchpad.net/bugs/1173622
>
>Title:
> Boinc Manager icon in Unity is small
>
>To manage notifications about this bug go to:
>https://bugs.launchpad.net/ubuntu/+source/boinc/+bug/1173622/+subscriptions
>
>--
>pkg-boinc-devel mailing list
><email address hidden>
>http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-boinc-devel

Revision history for this message
Gianfranco Costamagna (costamagnagianfranco) wrote :

Hi MestreLion, I had some problems with your patch, no icon shown at all...

I managed a patch, I'm building again boinc right now.
http://bazaar.launchpad.net/~costamagnagianfranco/+junk/boinc-upstream-merge/revision/109

Revision history for this message
MestreLion (mestrelion) wrote :

That's weird... the only difference in your patch, besides the major icon dir re-structuring, is adding a leading "/" in front of "usr/share/icons...". I didn't include the leading slash because it wasn't used in the desktop file install line below. But I wonder if simply adding a "/" to my original patch would solve it, no need of renaming files and re-creating the hicolor tree inside debian/icons

ML

At 08:36 05/05/2013, LocutusOfBorg wrote:
>Hi MestreLion, I had some problems with your patch, no icon shown at
>all...
>
>I managed a patch, I'm building again boinc right now.
>http://bazaar.launchpad.net/~costamagnagianfranco/+junk/boinc-upstream-merge/revision/109
>
>--
>You received this bug notification because you are subscribed to the bug
>report.
>https://bugs.launchpad.net/bugs/1173622
>
>Title:
> Boinc Manager icon in Unity is small
>
>Status in “boinc” package in Ubuntu:
> Fix Committed
>
>Bug description:
> In Unity, the Boinc Manager icon is small compared to the rest of the
> icons. It seems that a 32x32 icon is being used. However, at
> https://boinc.berkeley.edu/logo.php, larger icon sizes are available
> in BMP, when can then be converted to XPM and used instead of the
> small 32x32 icon.
>
>To manage notifications about this bug go to:
>https://bugs.launchpad.net/ubuntu/+source/boinc/+bug/1173622/+subscriptions

Revision history for this message
MestreLion (mestrelion) wrote :

@LocutusOfBorg: I'll investigate this icon-related quirks in Debian installer, as well as the /usr/share/menu issue, and find a solution that is working and compatible.

Meanwhile (and from now on), I suggest we do not merge with Debian's git repo until the solution is fully tested. There are already 3 icon-related commits in git repo, and 5 in your ppa lp branch, each one "fixing" the previous, when there should be only a single commit to fix a single issue.

Besides, you're a BOINC core developer, should not be distracted with desktop integration/cosmetic issues. So if you find *any* issues from now on, report me first instead of fixing, so we can discuss the best approach and keep the Debian git repo clean of tests and fixing attempts.

Revision history for this message
MestreLion (mestrelion) wrote :

This new patch should fix all remaining icon-related issues.

Tested and installed locally, no lintian warnings or errors.

I've decided to keep /usr/share/menu/boinc-manager.menu. It uses a 32x32 xpm icon from /usr/share/pixmaps. All other icons and the .desktop file follow Freedesktop.org Icon Spec.

And, as always, commit is available in github ( 'launcher_icons_fix' branch):
https://github.com/MestreLion/boinc-debian/commit/2038a68b6d94325e9d8805734d0fec408a6e1e98

Revision history for this message
Gianfranco Costamagna (costamagnagianfranco) wrote :

Thanks for the patch, applied and building right now.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package boinc - 7.0.65+dfsg-2

---------------
boinc (7.0.65+dfsg-2) unstable; urgency=low

  [ Gianfranco Costamagna ]
  * Disabled checkin_notes in override_install_changelogs,
    not updated anymore by upstream.
  * Fixed a lintian warning.
  * Fixed boinc-amd-opencl depends on ubuntu (lp: #1176148).
  * Added project_specific_defines.h to usr/include/boinc
    (Closes: #707369, #707375)

  [ Rodrigo Silva ]
  * New debian/icons and refactor the icon size
    directories (lp: #1173622).
  * Improved manager launcher.
  * Fix typos in package descriptions. Thanks Pierre Slamich for spotting
    and Pascal De Vuyst for reporting! (Closes: #707989)

  [ Guo Yixuan ]
  * libboinc-app-dev dependency: use libstdc++6-4.7-dev as default
    libstdc++-dev,
  * boinc-server-maker dependency: use mysql-server-5.5 as default
    virtual-mysql-server, both thanks to Danilo.

 -- Gianfranco Costamagna <email address hidden> Sun, 05 May 2013 11:41:37 +0200

Changed in boinc (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers